﻿/* ReferenceStyle.cs
 * part of zaaReloaded2
 * 
 * Copyright 2015 Daniel Kraus
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace zaaReloaded2.Formatter
{
    /// <summary>
    /// Describes the style of normal range references.
    /// </summary>
    [Serializable]
    public enum ReferenceStyle
    {
        /// <summary>
        /// Never write normal ranges
        /// </summary>
        [Description("Referenzbereich nie ausgeben")]
        Never,

        /// <summary>
        /// Write normal range if item is marked in dictionary
        /// </summary>
        [Description("Referenzbereich ausgeben, falls Parameter so markiert ist")]
        IfSpecialItem,

        /// <summary>
        /// Write normal range if value is abnormal
        /// </summary>
        [Description("Referenzbereich ausgeben, falls Wert nicht normal ist")]
        IfAbnormal,

        /// <summary>
        /// Write normal range if item is marked in dictionary, or if value is abnormal
        /// </summary>
        [Description("Referenzbereich ausgeben, falls Parameter so markiert ist oder falls Wert nicht normal ist")]
        IfSpecialOrAbnormal,

        /// <summary>
        /// Always write normal range reference
        /// </summary>
        [Description("Referenzbereich immer ausgeben")]
        Always
    }
}
